Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfilePointCloudMsg Class Reference
GoSdk/Messages » Data Channel

## Description

Represents a data message containing a set of profile arrays.

Note
  Supported with G1, G2

Inheritance diagram for GoProfilePointCloudMsg:

## Public Member Functions
kStatus | GoDataMsg_SetStreamStep (GoDataMsg message, GoDataStep streamStep)
| Sets the source of the data stream. More...
kStatus | GoDataMsg_SetStreamStepId (GoDataMsg message, k32s streamStepId)
| Sets the identifier of the data stream from the source. More...
GoDataStep | GoDataMsg_StreamStep (GoDataMsg message)
| Gets the source of the data stream. More...
k32s | GoDataMsg_StreamStepId (GoDataMsg message)
| Gets the identifier of the data stream from the source. More...
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
kPoint16s * | GoProfilePointCloudMsg_At (GoProfilePointCloudMsg msg, kSize index)
| Gets a pointer to a profile array. More...
k8u | GoProfilePointCloudMsg_CameraIndex (GoProfilePointCloudMsg msg)
| Gets the source camera index. More...
kSize | GoProfilePointCloudMsg_Count (GoProfilePointCloudMsg msg)
| Gets the count of profile arrays in this message. More...
k32u | GoProfilePointCloudMsg_Exposure (GoProfilePointCloudMsg msg)
| Gets the exposure. More...
GoDataSource | GoProfilePointCloudMsg_Source (GoProfilePointCloudMsg msg)
| Gets the profile source. More...
kSize | GoProfilePointCloudMsg_Width (GoProfilePointCloudMsg msg)
| Gets the count of ranges in each profile array. More...
k32s | GoProfilePointCloudMsg_XOffset (GoProfilePointCloudMsg msg)
| Gets the profile x-offset, in micrometers. More...
k32u | GoProfilePointCloudMsg_XResolution (GoProfilePointCloudMsg msg)
| Gets the profile x-resolution, in nanometers. More...
k32s | GoProfilePointCloudMsg_ZOffset (GoProfilePointCloudMsg msg)
| Gets the profile z-offset, in micrometers. More...
k32u | GoProfilePointCloudMsg_ZResolution (GoProfilePointCloudMsg msg)
| Gets the profile z-resolution, in nanometers. More...

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h